Bug 3805 - <wsdl:documentation> nodes not supported
: <wsdl:documentation> nodes not supported
Status: RESOLVED FIXED
: C WS Core
Bindings Generation
: 4.0.1
: PC Linux
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-10-07 04:55 by
Modified: 2005-11-09 09:28 (History)


Attachments
Testcase (3.47 KB, text/xml)
2005-10-07 04:57, Rodrigo Ruiz
Details
globus_c_wsdl_parser-0.10.tar.gz (210.08 KB, application/octet-stream)
2005-11-01 15:22, Joe Bester
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-07 04:55:26
From the WSDL specification (http://www.w3.org/TR/wsdl#_document-s),
documentation nodes should be allowed to appear inside any "wsdl" tag.

globus-wsrf-cgen only supports these nodes within wsdl:binding. If a
documentation node is found elsewhere, parsing errors occur, and the generation
is aborted
------- Comment #1 From 2005-10-07 04:57:17 -------
Created an attachment (id=714) [details]
Testcase

The attached WSDL contains several commented documentation nodes. Uncommenting
any of these nodes will result in generation errors.
------- Comment #2 From 2005-11-01 15:22:12 -------
Created an attachment (id=733) [details]
globus_c_wsdl_parser-0.10.tar.gz

Could you try this version of the wsdl parser to see if it works with your
wsdls?

joe
------- Comment #3 From 2005-11-09 09:28:37 -------
This fix is committed.